## AgsRegistry

AgsRegistry — remote control registry

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_REGISTRY_GET_OBJ_MUTEX()
AgsRegistryEntry * | ags_registry_entry_alloc ()
void | ags_registry_entry_free ()
void | ags_registry_add_entry ()
AgsRegistryEntry * | ags_registry_find_entry ()
AgsRegistry * | ags_registry_new ()

## Properties

AgsServer * | server | Read / Write

## Types and Values

#define | AGS_TYPE_REGISTRY_FLAGS
struct | AgsRegistryEntry

## Object Hierarchy

        GObject
        ╰── AgsRegistry

## Includes

    #include <ags/server/ags_registry.h>

## Description

The AgsRegistry is a registry where you are able to lookup objects.

## Functions

### AGS_REGISTRY_GET_OBJ_MUTEX()

    #define AGS_REGISTRY_GET_OBJ_MUTEX(obj) (&(((AgsRegistry *) obj)->obj_mutex))

### ags_registry_entry_alloc ()

    AgsRegistryEntry *
    ags_registry_entry_alloc ();

Allocated AgsRegistryEntry.

#### Returns

the newly allocated AgsRegistryEntry

Since: 3.0.0

### ags_registry_entry_free ()

    void
    ags_registry_entry_free (AgsRegistryEntry *registry_entry);

Free `registry_entry`

#### Parameters

registry_entry | the AgsRegistryEntry |

Since: 3.0.0

### ags_registry_add_entry ()

    void
    ags_registry_add_entry (AgsRegistry *registry,
                            AgsRegistryEntry *registry_entry);

Add `registry_entry` to `registry` .

#### Parameters

registry | the AgsRegistry |
registry_entry | the AgsRegistryEntry to add |

Since: 3.0.0

### ags_registry_find_entry ()

    AgsRegistryEntry *
    ags_registry_find_entry (AgsRegistry *registry,
                             AgsUUID *id);

Find `id` as AgsRegistryEntry in `registry` .

#### Parameters

registry | the AgsRegistry |
id | the AgsUUID to find |

Since: 3.0.0

### ags_registry_new ()

    AgsRegistry *
    ags_registry_new ();

## Types and Values

### AGS_TYPE_REGISTRY_FLAGS

    #define AGS_TYPE_REGISTRY_FLAGS          (ags_registry_flags_get_type())

### struct AgsRegistryEntry

    struct AgsRegistryEntry {
      AgsUUID *id;
      GValue *entry;
    };

AgsRegistryEntry is an entry that you might want to lookup remotely.

#### Members

AgsUUID *`id`; | the AgsUUID |
GValue *`entry`; | the actual entry |

## Property Details

### The `“server”` property

      “server”                   AgsServer *

The assigned AgsServer

Owner: AgsRegistry

Flags: Read / Write

Since: 3.0.0